Skip to main content
GET
/
v1
/
transfer
/
{id}
Get a transfer by ID
curl --request GET \
  --url https://gateway-api-testnet.circle.com/v1/transfer/{id}
{
  "destinationDomain": 0,
  "status": "pending",
  "burnIntents": [
    {
      "transferSpecHash": "0x1a2b3c4d",
      "maxBlockHeight": "1000000000000000000",
      "maxFee": "1000000000000000000"
    }
  ],
  "transactionHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
  "forwardingDetails": {
    "forwardingEnabled": true,
    "failureReason": "<string>"
  },
  "fees": {
    "total": "1.178",
    "token": "USDC",
    "perIntent": [
      {
        "transferSpecHash": "0x1234567890123456789012345678901234567890123456789012345678901234",
        "domain": 0,
        "baseFee": "2",
        "transferFee": "0.125"
      }
    ],
    "forwardingFee": "0.210000"
  },
  "attestation": {
    "payload": "0x1a2b3c4d",
    "signature": "0x1a2b3c4d",
    "expirationBlock": "<string>"
  }
}

Path Parameters

id
string<uuid>
required

The unique identifier of the transfer.

Response

Transfer retrieved successfully.

Detailed information about a transfer

destinationDomain
enum<integer>

Circle domain identifiers for supported chains:

  • 0 - Ethereum
  • 1 - Avalanche
  • 2 - OP
  • 3 - Arbitrum
  • 5 - Solana
  • 6 - Base
  • 7 - Polygon PoS
  • 10 - Unichain
  • 13 - Sonic
  • 14 - World Chain
  • 16 - Sei
  • 19 - HyperEVM
  • 26 - Arc
Available options:
0,
1,
2,
3,
5,
6,
7,
10,
13,
14,
16,
19,
26
status
enum<string>

Current status of the transfer:

  • pending: Transfer has been created but not yet confirmed onchain

  • confirmed: Transfer has been confirmed on the destination chain

  • finalized: Transfer has been finalized on the destination chain

  • failed: Transfer has failed (either onchain or during forwarding)

  • expired: Transfer attestation has expired

Available options:
pending,
confirmed,
finalized,
failed,
expired
burnIntents
object[]

Summary of burn intents included in this transfer.

transactionHash
string

Transaction hash of the mint transaction on the destination chain. Only present if the status is confirmed, finalized, or failed.

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

forwardingDetails
object

Details about the Forwarding Service, if used.

fees
object

Aggregated fee information for a transfer request.

attestation
object

Attestation data for manual submission to the minter contract. Only present when forwarding is disabled.